org.apache.cayenne.configuration.server

## Class DataDomainProvider

- java.lang.Object
- - org.apache.cayenne.configuration.server.DataDomainProvider

- All Implemented Interfaces:
    Provider<DataDomain>

      public class DataDomainProvider
      extends Object
      implements Provider<DataDomain>

  A `DataChannel` provider that provides a single instance of DataDomain configured per configuration supplied via injected `DataChannelDescriptorLoader`.
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DbAdapterFactory` | `adapterFactory`
    `protected DataSourceFactory` | `dataSourceFactory`
    `protected SchemaUpdateStrategy` | `defaultSchemaUpdateStrategy`
    `protected DataChannelDescriptorMerger` | `descriptorMerger`
    `protected List<DataChannelFilter>` | `filters`
    `protected Injector` | `injector`
    `protected JdbcEventLogger` | `jdbcEventLogger`
    `protected DataChannelDescriptorLoader` | `loader`
    `protected List<String>` | `locations`
    `protected AdhocObjectFactory` | `objectFactory`
    `protected QueryCache` | `queryCache`
    `protected ResourceLocator` | `resourceLocator`
    `protected RuntimeProperties` | `runtimeProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataDomainProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataDomain` | `createAndInitDataDomain()`
    `protected DataDomain` | `createDataDomain(String name)`
    `DataDomain` | `get()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceLocator

          protected ResourceLocator resourceLocator

    - #### descriptorMerger

          protected DataChannelDescriptorMerger descriptorMerger

    - #### loader

          protected DataChannelDescriptorLoader loader

    - #### defaultSchemaUpdateStrategy

          protected SchemaUpdateStrategy defaultSchemaUpdateStrategy

    - #### adapterFactory

          protected DbAdapterFactory adapterFactory

    - #### dataSourceFactory

          protected DataSourceFactory dataSourceFactory

    - #### objectFactory

          protected AdhocObjectFactory objectFactory

    - #### filters

          protected List<DataChannelFilter> filters

    - #### locations

          protected List<String> locations

    - #### injector

          protected Injector injector

    - #### jdbcEventLogger

          protected JdbcEventLogger jdbcEventLogger

    - #### queryCache

          protected QueryCache queryCache

    - #### runtimeProperties

          protected RuntimeProperties runtimeProperties

  - ### Constructor Detail

    - #### DataDomainProvider

          public DataDomainProvider()

  - ### Method Detail

    - #### get

          public DataDomain get()
                         throws ConfigurationException

      Specified by:
        `get` in interface `Provider<DataDomain>`
      Throws:
        `ConfigurationException`

    - #### createDataDomain

          protected DataDomain createDataDomain(String name)

    - #### createAndInitDataDomain

          protected DataDomain createAndInitDataDomain()
                                                throws Exception

      Throws:
        `Exception`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.